## net.sf.saxon.pull
Class StaxBridge.StaxNamespaces

    java.lang.Object
      net.sf.saxon.pull.StaxBridge.StaxNamespaces

All Implemented Interfaces:
  NamespaceDeclarations

Enclosing class:
  StaxBridge

    public class StaxBridge.StaxNamespaces

extends java.lang.Object
implements NamespaceDeclarations

Constructor Summary
`StaxBridge.StaxNamespaces()`

Method Summary
`int` `getNamespaceCode(int index)` Get the n'th declaration in the list in the form of a namespace code.
`int[]` `getNamespaceCodes(int[] buffer)` Get all the namespace codes, as an array.
`int` `getNumberOfNamespaces()` Get the number of declarations (and undeclarations) in this list.
`java.lang.String` `getPrefix(int index)` Get the prefix of the n'th declaration (or undeclaration) in the list, counting from zero.
`java.lang.String` `getURI(int index)` Get the namespace URI of the n'th declaration (or undeclaration) in the list, counting from zero.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StaxBridge.StaxNamespaces

    public StaxBridge.StaxNamespaces()

Method Detail

### getNumberOfNamespaces

    public int getNumberOfNamespaces()

  Get the number of declarations (and undeclarations) in this list.

  Specified by:
    `getNumberOfNamespaces` in interface `NamespaceDeclarations`

### getPrefix

    public java.lang.String getPrefix(int index)

  Get the prefix of the n'th declaration (or undeclaration) in the list, counting from zero.

  Specified by:
    `getPrefix` in interface `NamespaceDeclarations`
  Parameters:
    `index` - the index identifying which declaration is required.
  Returns:
    the namespace prefix. For a declaration or undeclaration of the default namespace, this is the zero-length string.
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index is out of range.

### getURI

    public java.lang.String getURI(int index)

  Get the namespace URI of the n'th declaration (or undeclaration) in the list, counting from zero.

  Specified by:
    `getURI` in interface `NamespaceDeclarations`
  Parameters:
    `index` - the index identifying which declaration is required.
  Returns:
    the namespace URI. For a namespace undeclaration, this is the zero-length string.
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index is out of range.

### getNamespaceCode

    public int getNamespaceCode(int index)

  Get the n'th declaration in the list in the form of a namespace code. Namespace codes can be translated into a prefix and URI by means of methods in the NamePool

  Specified by:
    `getNamespaceCode` in interface `NamespaceDeclarations`
  Parameters:
    `index` - the index identifying which declaration is required.
  Returns:
    the namespace code. This is an integer whose upper half indicates the prefix (0 represents the default namespace), and whose lower half indicates the URI (0 represents an undeclaration).
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index is out of range.
  See Also:
    `NamePool.getPrefixFromNamespaceCode(int)`, `NamePool.getURIFromNamespaceCode(int)`

### getNamespaceCodes

    public int[] getNamespaceCodes(int[] buffer)

  Get all the namespace codes, as an array.

  Specified by:
    `getNamespaceCodes` in interface `NamespaceDeclarations`
  Parameters:
    `buffer` - a sacrificial array that the method is free to use to contain the result. May be null.
  Returns:
    an integer array containing namespace codes. The array may be filled completely with namespace codes, or it may be incompletely filled, in which case a -1 integer acts as a terminator.

Copyright (c) Saxonica Limited. All rights reserved.